Subject: Re: cygwin-1.3.11-3: still cannot compile perl-5.8
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 25 Jun 2002 06:46:38 +0200

> Hallo,

> Still having problems compiling the Perl RC2.
> It works well to build RC2 with the cygwin-1.3.11-1 testrelease.
> Now that 1.3.11-3 is not a test release I need someone to verify
> at another box that this is not a basically problem with my setup.

BTW, cygwin-1.3.11-3 includes two header files:
/usr/include/db.h & /usr/include/ndbm.h which are conflicting with
already installed headers (gdbm & bdb), so make sure to install the
gdbm and bdb packages again after installing cygwin, will cause no
problems since the according functions are not exported from
cygwin.dll.

> Everything works well up to then point miniperl is used to:

> make[1]: Entering directory `/sourcecode/perl/perl58/buildperl/x2p'
> ../miniperl -I../lib s2p.PL
> Signal 11
> make[1]: *** [s2p] Error 139
> make[1]: Leaving directory `/sourcecode/perl/perl58/buildperl/x2p'
> make: *** [x2p/s2p] Error 2

> $ cat miniperl.exe.stackdump
> Exception: STATUS_ACCESS_VIOLATION at eip=77F34AC4
> eax=00000000 ebx=00233378 ecx=FFFFFFFF edx=FFFFFFFF esi=0000000C edi=0000000C
> ebp=0022F3C0 esp=0022F394 program=d:\sourcecode\perl\perl58\buildperl\miniperl.exe
> cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0022F3C0  77F34AC4  (00000000, 00000000, 0000000C, FFFFFFFF)
> 0022FCE0  6107120A  (0A0B0AB4, 0A0BA5C8, 0022FD20, 00477B6A)
> 0022FD20  0049262F  (0A010450, 61681570, 0022FD70, 00435D46)
> 0022FD50  0048990D  (0A010450, 0A018010, 0A019818, 00000001)
> 0022FD80  00415671  (0A010450, 00000001, 0022FE98, 004531B3)
> 0022FEB0  00415343  (0A010450, 00000001, 0022FEE0, 00401069)
> 0022FEE0  004010D7  (00000003, 61681570, 0A010278, 77F75B75)
> 0022FF30  61005A9E  (00000008, FFFFFFFE, 000000E0, 610C08A0)
> 0022FF90  61005D28  (00000000, 00000000, 00000246, 8011748B)
> 0022FFB0  004BE312  (00401040, 037F0009, 0022FFF0, 77F1B9EA)
> 0022FFC0  0040103C  (0022E640, 6104BD1C, 7FFDF000, 7FFDF000)
> 0022FFF0  77F1B9EA  (00401000, 00000000, 000000B0, 00000100)
> End of stack trace

> Interesting is that compiling the source works fine, building the dll
> works fine, if I use the new perl instead of miniperl I get also the
> crash:
> $ ../perl -I../lib s2p.PL
> Extracting s2p (with variable substitutions)
> Linking s2p to psed.
> Segmentation fault (core dumped)

> $ cat perl.exe.stackdump
> Exception: STATUS_ACCESS_VIOLATION at eip=77F34AC4
> eax=00000000 ebx=002337C0 ecx=FFFFFFFF edx=FFFFFFFF esi=0000000C edi=0000000C
> ebp=0022F3C0 esp=0022F394 program=d:\sourcecode\perl\perl58\buildperl\perl.exe
> cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0022F3C0  77F34AC4  (00000000, 00000000, 0000000C, FFFFFFFF)
> 0022FCE0  6107120A  (101A0438, 101AA6B8, 0022FD20, 10083F1A)
> 0022FD20  1008D45F  (10100440, 61681C80, 0022FD70, 10049D56)
> 0022FD50  1005759D  (10100440, 10108010, 10109818, 00000001)
> 0022FD80  100040A1  (10100440, 00000001, 0022FE98, 10009143)
> 0022FEB0  10003D73  (10100440, 00000001, 0022FEE0, 0040106A)
> 0022FEE0  004010DB  (00000003, 61681C80, 10100278, 0022FF14)
> 0022FF30  61005A9E  (610C095C, FFFFFFFE, 000000E8, 610C08A0)
> 0022FF90  61005D28  (00000000, 00000000, 00000246, 8011748B)
> 0022FFB0  00401F72  (00401040, 037F0009, 0022FFF0, 77F1B9EA)
> 0022FFC0  0040103C  (0022E440, 0022E3D2, 7FFDF000, 7FFDF000)
> 0022FFF0  77F1B9EA  (00401000, 00000000, 000000B0, 00000100)
> End of stack trace

> $ ./perl -Ilib -V
> Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:
>   Platform:
>     osname=cygwin, osvers=1.3.11(0.5332), archname=cygwin-multi-64int
>     uname='cygwin_nt-4.0 loreley 1.3.11(0.5332) 2002-06-23 22:31 i686 unknown '
>     config_args='-de -Dmksymlinks -Dusemultiplicity -Duse64bitint -Doptimize=-O2'
>     hint=recommended, useposix=true, d_sigaction=define
>     usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
>     useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
>     use64bitint=define use64bitall=undef uselongdouble=undef
>     usemymalloc=y, bincompat5005=undef
>   Compiler:
>     cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include',
>     optimize='-O2',
>     cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
>     ccversion='', gccversion='2.95.3-5 (cygwin special)', gccosandvers=''
>     intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
>     d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
>     ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
>     alignbytes=8, prototype=define
>   Linker and Libraries:
>     ld='ld2', ldflags =' -L/usr/local/lib'
>     libpth=/usr/local/lib /usr/lib /lib
>     libs=-lgdbm -ldb -lcrypt -lutil
>     perllibs=-lcrypt -lutil
>     libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a
>     gnulibc_version=''
>   Dynamic Linking:
>     dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' '
>     cccdlflags=' ', lddlflags=' -L/usr/local/lib'

> Characteristics of this binary (from libperl): 
>   Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
>   Built under cygwin
>   Compiled at Jun 25 2002 00:32:35
>   %ENV:
>     CYGWIN="ntsec binmode tty nowinsymlinks"
>   @INC:
>     lib
>     /usr/lib/perl5/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/5.8.0
>     /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/site_perl/5.8.0
>     /usr/lib/perl5/site_perl
>     .

> Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/